%define rrddocdir %{_datadir}/doc/%{name}-%{version}

Name:          rrdtool
Version:       1.9.0
Release:       1mamba
Summary:       Round Robin Database Tool to store and display time-series data
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://oss.oetiker.ch/rrdtool/
Source0:       https://github.com/oetiker/rrdtool-1.x.git/v%{version}/rrdtool-1.x-%{version}.tar.bz2
Source1:       rrdtool-log2rrd.pl
Patch0:        rrdtool-1.4.8-lua-5.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libdbi-devel
BuildRequires: libglib-devel
BuildRequires: libharfbuzz-devel
BuildRequires: liblua-devel
BuildRequires: libpango-devel
BuildRequires: libperl
BuildRequires: libpng-devel
BuildRequires: libpython310-devel
BuildRequires: libwrap-devel
BuildRequires: libxml2-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: libcgi-devel >= 0.5
BuildRequires: pkgconfig >= 0.10
BuildRequires: python
BuildRequires: groff
BuildRequires: libtcl >= 8.4.11
Requires:      librrd = %{?epoch:%epoch:}%{version}-%{release}

%description
RRD (Round Robin Database) is a system to store and display time-series data (i.e. network bandwidth, machine-room temperature, server load average).
It stores the data in a very compact way that will not expand over time, and it presents useful graphs by processing the data to enforce a certain data density.
It can be used either via simple wrapper scripts (from shell or Perl) or via frontends that poll network devices and put a friendly user interface on it.

%package -n lua-rrdtool
Summary:       LUA RRDtool bindings
Group:         Development/Bindings
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      rrdtool-lua
Obsoletes:     rrdtool-lua <= 1.8.0-2mamba

%description -n lua-rrdtool
RRD (Round Robin Database) is a system to store and display time-series data (i.e. network bandwidth, machine-room temperature, server load average).
It stores the data in a very compact way that will not expand over time, and it presents useful graphs by processing the data to enforce a certain data density.
It can be used either via simple wrapper scripts (from shell or Perl) or via frontends that poll network devices and put a friendly user interface on it.

This package contains the LUA RRDtool bindings.

%package -n perl-rrdtool
Summary:       Perl RRDtool bindings
Group:         Development/Libraries/Perl
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      rrdtool-perl
Obsoletes:     rrdtool-perl <= 1.8.0-2mamba

%description -n perl-rrdtool
RRD (Round Robin Database) is a system to store and display time-series data (i.e. network bandwidth, machine-room temperature, server load average).
It stores the data in a very compact way that will not expand over time, and it presents useful graphs by processing the data to enforce a certain data density.
It can be used either via simple wrapper scripts (from shell or Perl) or via frontends that poll network devices and put a friendly user interface on it.

This package contains the perl RRDtool bindings.

%package -n python-rrdtool
Summary:       Python RRDtool bindings
Group:         Development/Bindings
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      rrdtool-python
Obsoletes:     rrdtool-python <= 1.8.0-2mamba

%description -n python-rrdtool
RRD (Round Robin Database) is a system to store and display time-series data (i.e. network bandwidth, machine-room temperature, server load average).
It stores the data in a very compact way that will not expand over time, and it presents useful graphs by processing the data to enforce a certain data density.
It can be used either via simple wrapper scripts (from shell or Perl) or via frontends that poll network devices and put a friendly user interface on it.
This package contains the python RRDtool bindings.

%package -n ruby-rrdtool
Summary:       Ruby RRDtool bindings
Group:         Development/Bindings
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      rrdtool-ruby
Obsoletes:     rrdtool-ruby <= 1.8.0-2mamba

%description -n ruby-rrdtool
RRD (Round Robin Database) is a system to store and display time-series data (i.e. network bandwidth, machine-room temperature, server load average).
It stores the data in a very compact way that will not expand over time, and it presents useful graphs by processing the data to enforce a certain data density.
It can be used either via simple wrapper scripts (from shell or Perl) or via frontends that poll network devices and put a friendly user interface on it.
This package contains the ruby RRDtool bindings.

%package -n librrd
Summary:       RRDtool shared library
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n librrd
RRD (Round Robin Database) is a system to store and display time-series data (i.e. network bandwidth, machine-room temperature, server load average).   
It stores the data in a very compact way that will not expand over time, and it presents useful graphs by processing the data to enforce a certain data density.
It can be used either via simple wrapper scripts (from shell or Perl) or via frontends that poll network devices and put a friendly user interface on it.
This package provides the RRDtool shared library.

%package -n librrd-devel
Summary:       RRDtool static libraries and headers
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      librrd = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lua-rrdtool = %{?epoch:%epoch:}%{version}-%{release}
Provides:      rrdtool-devel
Obsoletes:     rrdtool-devel < 1.8.0-3mamba

%description -n librrd-devel
RRD (Round Robin Database) is a system to store and display time-series data (i.e. network bandwidth, machine-room temperature, server load average).   
It stores the data in a very compact way that will not expand over time, and it presents useful graphs by processing the data to enforce a certain data density.
It can be used either via simple wrapper scripts (from shell or Perl) or via frontends that poll network devices and put a friendly user interface on it.
This package allow you to use directly this library.

%debug_package

%prep
%setup -q -n rrdtool-1.x-%{version}
./bootstrap

%build
%configure \
   --enable-shared \
   --enable-lua \
   --enable-perl-site-install \
   --with-perl-options='INSTALLDIRS="vendor"' \
   --with-ruby-options='sitedir="%{_libdir}/ruby/site_ruby"' \
   PYTHON=%{__python310}

#  --with-tcllib=%{_libdir}

%make -j1 LDFLAGS="`pkg-config --libs glib-2.0` -lwrap"

#cd examples
#find . -name "*.pl" -exec perl -e 's;\015;;gi' -p -i \{\} \;

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall RRDDOCDIR=%{rrddocdir}

install -D -m755 %{SOURCE1} %{buildroot}%{_bindir}/log2rrd.pl

# remove unpackaged files
find %{buildroot}%{_prefix}/lib -name perllocal.pod -exec rm -f {} \;
find %{buildroot}%{_prefix}/lib -name .packlist -exec rm -f {} \;

# log2rrd.pl requires perl(ctime.pl) missing in perl 5.16
rm -f %{buildroot}%{_bindir}/log2rrd.pl 

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f %{name}-%{version}-file

%post -n librrd -p /sbin/ldconfig
%postun -n librrd -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/rrd*
%{_unitdir}/rrdcached.service
%{_unitdir}/rrdcached.socket
#%{_libdir}/rrdtool/ifOctets.tcl
#%{_libdir}/rrdtool/pkgIndex.tcl
#%{_libdir}/tclrrd%{version}.so
%dir %{_datadir}/rrdtool
#%{_datadir}/rrdtool/ifOctets.tcl
#%{_datadir}/rrdtool/pkgIndex.tcl
%dir %{_datadir}/rrdtool/examples
%{_datadir}/rrdtool/examples/*
%dir %{rrddocdir}
%{rrddocdir}/html/*
%{rrddocdir}/txt/*
%{_mandir}/man1/*

%files -n librrd
%defattr(-,root,root)
%{_libdir}/librrd.so.*

%files -n librrd-devel
%defattr(-,root,root)
%{_includedir}/rrd*.h
%{_libdir}/librrd.a
%{_libdir}/librrd.so
%dir %{_libdir}/lua/*/
%{_libdir}/pkgconfig/librrd.pc
%{_mandir}/man3/librrd.3.*

%files -n lua-rrdtool
%defattr(-,root,root)
%{_libdir}/lua/*/rrd.so.*
%{_libdir}/lua/*/*.a
%{_libdir}/lua/*/*.so

%files -n perl-rrdtool
%defattr(-,root,root)
%{_mandir}/man3/RRDp.3pm.*
%{_mandir}/man3/RRDs.3pm.*
%{perl_vendorlib}/*

%files -n python-rrdtool
%defattr(-,root,root)
%{python310_sitearch}/rrdtool-*-py*.egg-info
%{python310_sitearch}/rrdtool.cpython-*.so

#%files ruby
#%defattr(-,root,root)
#%{ruby_sitearch}/RRD.so

%changelog
* Tue Jul 30 2024 Automatic Build System <autodist@openmamba.org> 1.9.0-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-3mamba
- rename rrdtool-{python,perl,ruby,lua} as {python,perl,ruby,lua}-rrdtool

* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 1.8.0-2mamba
- rebuilt with perl 5.36.0

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.7.2-1mamba
- update to 1.7.2

* Mon Aug 28 2017 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.6-2mamba
- rebuilt with perl 5.24

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Sat Sep 12 2015 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Tue May 19 2015 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.7-2mamba
- perl 5.16 rebuild

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 1.4.7-1mamba
- automatic version update by autodist

* Fri Jan 20 2012 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic version update by autodist

* Mon Jan 03 2011 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic update by autodist

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic update by autodist

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Tue Jun 09 2009 Automatic Build System <autodist@mambasoft.it> 1.3.8-1mamba
- automatic update by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.7-1mamba
- automatic update by autodist

* Sun Mar 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.6-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-1mamba
- automatic update by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-1mamba
- automatic update by autodist

* Wed Sep 06 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.15-1qilnx
- update to version 1.2.15 by autospec

* Wed Oct 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.11-1qilnx
- update to version 1.2.11 by autospec
- run ldconfig to update library db
- specfiles updates and fixes
- new packages rrdtool-perl, rrdtool-python

* Wed Jul 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.48-1qilnx
- first build
